/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code in this file as it was released upon
 * April 1, 2001 and that is NO joke!
 * 
 * The Initial Developer of the Original Code is HJ van Rantwijk.
 * all Portions created by HJ van Rantwijk are Copyright (C) 2001-2005
 * by HJ van Rantwijk. All Rights Reserved.
 * 
 * Contributor(s):
 *   HJ van Rantwijk <bugs4hj@netscape.net> (Original Author)
 *   David Perry <d.perry@utoronto.ca> (dialog author)
 * 
*/

////////////////////////////////////////////////////////////////////////////////
// Javascript functions used to handle the UI for the MultiZilla extension
// Focus of this file is "About" dialog
// Written by : (DP) David Perry <d.perry@utoronto.ca>
// Modified by: HJ bugs4hj@netscape.net
////////////////////////////////////////////////////////////////////////////////

const WINMAN = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);

var HJsPicture = false;

function aboutInit()
{
  var verString = null; // Localized string of current version of MultiZilla

  verString = document.getElementById('ver').getAttribute('value');
  document.getElementById('ver').setAttribute('value', verString + window.arguments[0]);
  sizeToContent();
}

function toggleImage()
{
  if (HJsPicture) {
    document.getElementById("aboutGraphic").setAttribute("src", "chrome://multiviews/content/images/about/logo.gif");
    HJsPicture = false;
  }
  else {
    document.getElementById("aboutGraphic").setAttribute("src", "chrome://multiviews/content/images/about/combo.gif");
    HJsPicture = true;
  }
}

function opener()
{
  return WINMAN.getMostRecentWindow('navigator:browser');
}

function loadURI(uri)
{
  if (opener())
    opener().loadURI(uri);
  else
    window.open(uri);
}